moovexDocs

Get shuttles

Returns paginated shuttles with stops and timing.

GET/shuttles

Query Parameters

ParameterTypeRequiredDescription
sortstringNoSort expression
limitnumberYes-
pagenumberYes-
searchstringNo-

Example Response

{
  "page": 1,
  "limit": 20,
  "totalPages": 1,
  "totalResults": 2,
  "records": [
    {
      "id": 1,
      "line": "Blue",
      "direction": "Eastbound",
      "pax": 20,
      "type": "fixed",
      "paymentTypes": [
        "cashOnBoard"
      ],
      "times": [
        {
          "limit": 20,
          "hourStart": {
            "hour": 8,
            "minute": 0
          },
          "hourEnd": {
            "hour": 10,
            "minute": 0
          },
          "stopsDuration": [
            10,
            4,
            12
          ]
        }
      ],
      "weekDays": [
        0,
        1
      ],
      "stops": [
        {
          "address": {
            "name": "Stop 1",
            "lat": 32,
            "lng": 34.8
          },
          "zone": "A1"
        },
        {
          "address": {
            "name": "Stop 2",
            "lat": 32.05,
            "lng": 34.82
          },
          "zone": "A2"
        }
      ],
      "supplier": "Supplier A",
      "profile": "Corporate"
    }
  ]
}

On this page